Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156822 - Kopete crash when receiving ICQ message
Summary: Kopete crash when receiving ICQ message
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kdenetwork
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-04 14:47 UTC by André Johansen
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 3.4.2-0.fc3.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-26 20:46:37 UTC


Attachments (Terms of Use)

Description André Johansen 2005-05-04 14:47:02 UTC
I've had this happening to me a few times now; when receiving a message from a 
remove ICQ client, Kopete crashes with the following call stack. 
 
Using host libthread_db library "/lib/tls/libthread_db.so.1". 
[Thread debugging using libthread_db enabled] 
[New Thread -1208097088 (LWP 21352)] 
[KCrash handler] 
#4  0xb79ba8c4 in RTF2HTML::FlushOutTags () from /usr/lib/libkopete_oscar.so.1 
#5  0xb79bb6a4 in Level::setText () from /usr/lib/libkopete_oscar.so.1 
#6  0xb79bc5b9 in RTF2HTML::Parse () from /usr/lib/libkopete_oscar.so.1 
#7  0xb79b6f35 in OscarMessage::setText () from /usr/lib/libkopete_oscar.so.1 
#8  0xb79a64fa in OscarSocket::parseAdvanceMessage () 
   from /usr/lib/libkopete_oscar.so.1 
#9  0xb79adc45 in OscarSocket::parseIM () from /usr/lib/libkopete_oscar.so.1 
#10 0xb79a2096 in OscarSocket::slotRead () from /usr/lib/libkopete_oscar.so.1 
#11 0xb799c41c in OscarConnection::qt_invoke () 
   from /usr/lib/libkopete_oscar.so.1 
#12 0xb79a248f in OscarSocket::qt_invoke () from /usr/lib/libkopete_oscar.so.1 
#13 0x04d5710e in QObject::activate_signal () 
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3 
#14 0x04d577e4 in QObject::activate_signal () 
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3 
#15 0x002e69fe in KNetwork::KClientSocketBase::readyRead () 
   from /usr/lib/libkdecore.so.4 
#16 0x002e6a30 in KNetwork::KClientSocketBase::slotReadActivity () 
   from /usr/lib/libkdecore.so.4 
#17 0x002ee611 in KNetwork::KBufferedSocket::slotReadActivity () 
   from /usr/lib/libkdecore.so.4 
#18 0x002eea6c in KNetwork::KBufferedSocket::qt_invoke () 
   from /usr/lib/libkdecore.so.4 
#19 0x04d5710e in QObject::activate_signal () 
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3 
#20 0x04d576a0 in QObject::activate_signal () 
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3 
#21 0x0508a7d0 in QSocketNotifier::activated () 
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3 
#22 0x04d72235 in QSocketNotifier::event () 
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3 
#23 0x04cf8539 in QApplication::internalNotify () 
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3 
#24 0x04cf86ca in QApplication::notify () 
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3 
#25 0x001b93f8 in KApplication::notify () from /usr/lib/libkdecore.so.4 
#26 0x04cec9f2 in QEventLoop::activateSocketNotifiers () 
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3 
#27 0x04ca86ae in QEventLoop::processEvents () 
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3 
#28 0x04d0db85 in QEventLoop::enterLoop () 
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3 
#29 0x04d0dade in QEventLoop::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3 
#30 0x04cf773b in QApplication::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3 
#31 0x08068e13 in ?? () 
#32 0xbffff740 in ?? () 
#33 0xbffff720 in ?? () 
#34 0xbffff720 in ?? () 
#35 0x00000000 in ?? ()

Comment 1 André Johansen 2005-05-04 16:33:31 UTC
This is Kopete 0.9.2 from kdenetwork-3.3.1-3 
 

Comment 2 André Johansen 2005-10-26 20:46:37 UTC
The problem seems to be at least partially fixed in kdenetwork-3.4.2-0.fc3.1 
-- I no longer get the crash. 
  


Note You need to log in before you can comment on or make changes to this bug.